#
# spec file for package kbookmarks
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Bookmarks5
Name:           kbookmarks
Version:        4.97.0
Release:        0
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 0.0.11
BuildRequires:  fdupes
BuildRequires:  kconfigwidgets-devel >= %{_kf5_version}
BuildRequires:  kcoreaddons-devel >= %{_kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kiconthemes-devel >= %{_kf5_version}
BuildRequires:  kwidgetsaddons-devel >= %{_kf5_version}
BuildRequires:  kxmlgui-devel >= %{_kf5_version}
Requires:       pkgconfig(Qt5DBus) >= 5.2.0
Requires:       pkgconfig(Qt5Widgets) >= 5.2.0
Requires:       pkgconfig(Qt5Xml) >= 5.2.0
Summary:        Lets you access and manipulate bookmarks stored using XBEL format
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        kbookmarks-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Framework which lets you access and manipulate bookmarks stored using XBEL format

%package -n %lname
Summary:        Lets you access and manipulate bookmarks stored using XBEL format
Group:          System/GUI/KDE

%description -n %lname
Framework which lets you access and manipulate bookmarks stored using XBEL format

%package devel
Summary:        Lets you access and manipulate bookmarks stored using XBEL format: Build Environment
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kconfigwidgets-devel >= %{_kf5_version}
Requires:       kiconthemes-devel >= %{_kf5_version}
Requires:       kxmlgui-devel >= %{_kf5_version}
Requires:       pkgconfig(Qt5Widgets) >= 5.2.0
Requires:       pkgconfig(Qt5Xml) >= 5.2.0

%description devel
Framework which lets you access and manipulate bookmarks stored using XBEL format.
Development files

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Bookmarks.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Bookmarks.so
%{_kf5_libdir}/cmake/KF5Bookmarks/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_mkspecsdir}/qt_KBookmarks.pri

%changelog
